import unittest, main

class TestSequenceFunctions(unittest.TestCase):
    
    def setUp(self):
        self.a=main.square((0,0),(10,10))
        self.b=main.square((0,0),(10,10))

    def testQuadSides(self):
        # See if the right angle is being return for the 4 simple sides
        self.b.pos=(0,50)
        self.assertEqual(main.quadrant(self.a,self.b),(0,-1))
        self.b.pos=(0,-50)
        self.assertEqual(main.quadrant(self.a,self.b),(0,1))
        self.b.pos=(50,0)
        self.assertEqual(main.quadrant(self.a,self.b),(-1,0))
        self.b.pos=(-50,0)
        self.assertEqual(main.quadrant(self.a,self.b),(1,0))
        
    def testQuadCorners(self):
        # See if the right angle is being return for the 4 simple sides
        xlist=((75,75),(75,-75),(-75,-75),(-75,75))
        ylist=((0,1),(0,-1),(1,0),(-1,0))
        for x in xlist:
            self.b.pos=x
            for y in ylist:
                self.assertNotEqual(main.quadrant(self.a,self.b),y)

if __name__ == '__main__':
    unittest.main()
